import request from '@/utils/request'

//获取权限模板列表
export function getPermitList(query) {
  return request({
    url: '/system/permit/list',
    method: 'get',
    params: query
  })
}

// 新增权限模板
export function addSystemPermit(data) {
  return request({
    url: '/system/permit',
    method: 'post',
    data: data
  })
}

// 编辑权限模板
export function putSystemPermit(data) {
  return request({
    url: '/system/permit',
    method: 'PUT',
    data: data
  })
}

// 删除权限模板
export function delSystemPermit(id) {
  return request({
    url: '/system/permit/'+id,
    method: 'DELETE',
  })
}

//获取权限模板详情
export function getPermitInfo(id) {
  return request({
    url: '/system/permit/' + id,
    method: 'get',
  })
}

//获取快捷权限模板列表
export function getPermitOptionList(query) {
  return request({
    url: '/system/permit/option',
    method: 'get',
    params: query
  })
}







/*
// 查询【请填写功能名称】列表
export function listMachineconfig(query) {
  return request({
    url: '/laboratory/machineconfig/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getMachineconfig(id) {
  return request({
    url: '/laboratory/machineconfig/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addMachineconfig(data) {
  return request({
    url: '/laboratory/machineconfig',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateMachineconfig(data) {
  return request({
    url: '/laboratory/machineconfig',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delMachineconfig(id) {
  return request({
    url: '/laboratory/machineconfig/' + id,
    method: 'delete'
  })
}
*/
